


/*  Basis structure   */


typedef struct {

  int level;                     /* level of pyramid  */
  float **pointer_basis;             /* pointer to basis output */
  int xdim,ydim;                   /* x y dimensions for basis output */

  } Even_Basis;



typedef struct {

  int level;                     /* level of pyramid */
  float **pointer_basis;           /* pointer to basis output */
  int xdim,ydim;                  /* x y dimensions for basis output */

  } Odd_Basis;

typedef struct{

  int order;                     /* order of filter */
  float **pointer_filter;           /* pointer to filter*/
  int xdim,ydim;                  /* x y dimensions for filter */

  } Even_Filter;

typedef struct {

  int order;                     /* order of filter */
  float **pointer_filter;           /* pointer to filter*/
  int xdim,ydim;                  /* x y dimension for filter  */

  } Odd_Filter;


typedef struct {

  int order;           /* order of filter */
  float *xfilt,*yfilt;  /* pointers to separable filters */
  int xdim, ydim;   /* x y dimensions for filter */    
  
  } Even_Filter_s;



typedef struct {

  int order;           /* order of filter */
  float *xfilt,*yfilt;  /* pointers to separable filters */
  int xdim, ydim;   /* x y dimensions for filter */    
  
  } Odd_Filter_s;

typedef struct {

  float **pointer_filter;
  int xdim, ydim;

} Low_Filter;

typedef struct {

  float **pointer_filter;
  int xdim, ydim;
} End_Filter;











