/*
*******************************************************************************
Author: 
	Alex Sherstinsky,
	Media Laboratory, 
	Building E15 Room 383,
	20 Ames Street, Cambridge, MA 02139,
	Massachusetts Institute Of Technology,
	77 Massachusetts Avenue,
	Cambridge, MA 02139
	Telephone: (617)253-0381 
	Electronic Mail Address: shers@media.mit.edu
Copyright 1993 Massachusetts Institute Of Technology
All rights reserved.
This program may not be distributed to other organizations without the 
permission of the author.  In no case may it be distributed outside the
United States and Canada.  This program is supplied "as is", without any
kind of warranty, and M.I.T. does not promise to support it in any way.
This program is not to be incorporated into a commercial product, or access
to it sold, without prior written agreement from the author.
*******************************************************************************
AlMa Library
*******************************************************************************
*/
/*
The functions that perform the Fast Discrete Fourier Transform.
The frequency of interest is from 0 to 2 * PI, which is equivalent
to computing the values of the transform at points 0 through N - 1.
*/

/*
Useful constants.
*/

/*
Functions used.
*/

void RDFT2D();
void RIDFT2D();
void DFT2D();
void IDFT2D();
void RDFT1D();
void RIDFT1D();
void DFT1D();
void IDFT1D();
void Fft();
