#include <stdio.h>
#include <malloc.h>
#include <math.h>
#include "basis.h"
#include "m.h"
#include "io.h"
#include <dat.h>


void make_low_image(im1,Lfilt,level,xdim,ydim)
     float **im1;
     Low_Filter Lfilt;
     int level,*xdim,*ydim;
{
  int i,j,k1,k2;
  float **tmp1,**tmp2;
  
  tmp1=(float **)alloc_float_2D(*xdim,*ydim);
  tmp2=(float **)alloc_float_2D(*xdim,*ydim);
  
  if (level>0)
    {
       
      twod_conv_ns(im1,tmp1,tmp2,Lfilt.pointer_filter,*xdim,*ydim,Lfilt.xdim,Lfilt.ydim,1,0);
      downsample2d(tmp1,im1,*xdim,*ydim,2,2);
      
      *xdim=*xdim/2; 
      *ydim=*ydim/2;
    }

 
 
 
}

void dir_energy(Ebasis,Obasis,angle,xdim,ydim,result)
     Odd_Basis Obasis[];
     Even_Basis Ebasis[];
     int xdim,ydim;
     float **result;

{
  
  int i,j;
  float **a,**b;
  printf("xdim %d \t ydim %d \n",xdim,ydim);
  a=(float **)alloc_float_2D(xdim,ydim);
  printf("got here ya \n");
  b=(float **)alloc_float_2D(xdim,ydim);
  
  steer_odd(Obasis,angle,xdim,ydim,a);
  steer_even(Ebasis,angle,xdim,ydim,b);
  
  square(a,a,xdim,ydim);
  square(b,b,xdim,ydim);
  
  add(a,b,result,xdim,ydim);
  
  square_root(result,result,xdim,ydim);
  printf("Got Here ! \n");

}		













